<html th:replace="~{layout :: layout(~{::content},'')}" xmlns:th="http://www.thymeleaf.org">
    <head>
        <title th:fragment="title">Authentification</title>
    </head>
    <body>
        <div th:fragment="content">
            <form action="#" th:action="@{/SignIn}" th:object="${user}" method="post">
                <fieldset>
                    <legend>Cr&eacute;er un nouveau Compte</legend>
                    <div class="alert alert-danger" th:if="${erreur!=NULL}"th:text="${erreur}"></div>
               		<input type="hidden" th:field="*{id}" />
               		<div class="form-group">
	                    <label for="username">Identifiant</label>
	                    <input type="email" id="username" name="username" autocomplete="off" th:field=*{username} required/>
                    </div>
                    <div class="form-group">
	                    <label for="password">Mot de passe</label>
	                    <input type="password" id="password" name="password" autocomplete="off" th:field=*{password} required/>
                    </div>
                    <div class="form-group">
	                    <label for="pseudo">Pseudo</label>
	                    <input type="text" id="pseudo" name="pseudo" autocomplete="off" th:field=*{pseudo} required/>
                    </div>
                    <div class="form-actions">
                        <button type="submit" class="btn btn-secondary">Cr&eacute;er</button>
                    </div>
                </fieldset>
            </form>
        </div>
    </body>
</html>